const KEY = '__decorators__';
export function setDecorator(target, propertyName, decoratorType) {
    const decorators = getDecorators(target);
    if (decorators) {
        decorators.set(propertyName, decoratorType);
    }
}
export function deleteDecorator(target, propertyName) {
    const decorators = getDecorators(target);
    if (decorators) {
        decorators.delete(propertyName);
    }
}
export function getDecorators(target) {
    const ctor = typeof target === 'function' ? target : target.constructor;
    const proto = ctor.prototype;
    const decorators = proto[KEY];
    if (!decorators) {
        proto[KEY] = new Map();
        return proto[KEY];
    }
    return decorators;
}
//# sourceMappingURL=decorator-util.js.map